<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-12-07
 * Version      :   1.0
 */

namespace TestClass;

use Abstracts\SingleTon;

class SingleTonDemo extends SingleTon
{
    protected function init()
    {
        var_dump("single-ton construct");
    }

    public function test()
    {
        var_dump(__CLASS__ . " - " . __FUNCTION__);
    }
}